cgD3D9TranslateCGerror(3)

NAME
cgD3D9TranslateCGerror - convert a Cg runtime error into a string

SYNOPSIS
  #include <Cg/cgD3D9.h>
  const char * cgD3D9TranslateCGerror( CGerror error );

PARAMETERS

error
    The error code to translate. Can be a core runtime error or a D3D runtime error.

RETURN VALUES
Returns a pointer to a string describing error.

DESCRIPTION
cgD3D9TranslateCGerror converts a Cg runtime error into a string. This routine should be called instead of the core runtime routine cgGetErrorString because it will also translate errors that the Cg D3D runtime generates.

This routine will typically be called in debugging situations such as inside an error callback set using cgSetErrorCallback.

EXAMPLES
  char buf[512];
  CGerror error = cgGetLastError();
  if (error != CG_NO_ERROR)
  {
      sprintf(buf, "An error occurred. Error description: '%s'\n",
              cgD3D9TranslateCGerror(error));
      OutputDebugString(buf);
  }

ERRORS
None.

HISTORY
cgD3D9TranslateCGerror was introduced in Cg 1.1.

SEE ALSO
cgGetErrorString, cgSetErrorCallback